MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002493ardourbugspublic2008-12-16 08:552010-04-24 03:31
Reporterrobbie 
Assigned Tonettings 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformIntel Pentium D945OSGentoo LinuxOS Version2.6.24.7-rt6 SMP
Product Version2.7.1 
Target VersionFixed in Version2.8.3 
Summary0002493: Illegal default parameters for LADSPA plugins
DescriptionUpon addition of a new plugin, several parameters may default to illegal values - resulting in non-functional plugin.
Steps To Reproduce1. Insert SWH Gate plugin into track

2. Edit plugin

3. Observe that LF/HF key filter values are 0.001 and 0.490 Hz respectively.



See http://curates-egg.org/a2-sessions/max-gate-threshold.png [^]

Additional InformationLADSPA SDK tool analyseplugin reports;



Ports: "LF key filter (Hz)" input, control, 0.0007*srate to 0.1*srate, default 0.0007*srate

        "HF key filter (Hz)" input, control, 0.005*srate to 0.49*srate, default 0.49*srate



Note that the default values look suspiciously like the default values if srate=1.



Workaround: Adjust the LF/HF sliders - after entering the legal range for the parameter Ardour will not allow you to reset an illegal value.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002772resolvedpaul Initial values for some LADSPA plugins wrong, strange behaviour when modifying it manually 
related to 0002608resolvedpaul [PATCH] fix BarController to display logarithmically scaled values correctly 

-  Notes
(0006542)
nettings (manager)
2009-08-14 19:52

this bug is still present in r5499
(0006670)
paul (administrator)
2009-10-01 09:44

probably fixed by recent commits of the log3 patch from 2808.
(0006882)
nettings (manager)
2009-10-24 14:47

yeah, works for me now. if anyone still has problems, holler now.

- Issue History
Date Modified Username Field Change
2008-12-16 08:55 robbie New Issue
2009-01-27 19:53 seablade Status new => acknowledged
2009-07-08 10:00 seablade Relationship added related to 0002608
2009-07-08 10:01 seablade Relationship added related to 0002772
2009-08-14 19:52 nettings Note Added: 0006542
2009-10-01 09:44 paul Note Added: 0006670
2009-10-24 14:47 nettings Note Added: 0006882
2009-10-24 14:48 nettings cost => 0.00
2009-10-24 14:48 nettings Status acknowledged => resolved
2009-10-24 14:48 nettings Fixed in Version => 2.8.3
2009-10-24 14:48 nettings Resolution open => fixed
2009-10-24 14:48 nettings Assigned To => nettings
2010-04-24 03:28 cth103 Category bugs => bugs2
2010-04-24 03:31 cth103 Category bugs2 => bugs


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker